﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data.SqlClient;
using System.Data;

namespace HotelCalifornia
{
    /// <summary>
    /// Логика взаимодействия для Report.xaml
    /// </summary>
    public partial class Report : Window
    {
        public Report()
        {
            InitializeComponent();
        }

        //Строка подключения
        SqlConnection con = new SqlConnection("Data Source=localhost;Initial Catalog=kursah;Integrated Security=True");

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void Grid_MouseDown(object sender, MouseButtonEventArgs e)
        {
            try
            {
                DragMove();
            }
            catch
            {
            }
        }

        private void WindMin_Click(object sender, RoutedEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void Close(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void Back(object sender, RoutedEventArgs e)
        {
            Variant variant = new Variant();
            variant.idadmintxt.Text = idadmintxt.Text;
            this.Close();
            variant.Show();
        }

        private void Client_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT ID_Client, LastName_Client, FirstName_Client, MiddleName_Client, Telephone_Client, Passport From Client";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("Client");
                dataAdapter.Fill(data);
                datareport.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datareport.Columns[0].Header = "ID";
                datareport.Columns[1].Header = "Фамилия";
                datareport.Columns[2].Header = "Имя";
                datareport.Columns[3].Header = "Отчество";
                datareport.Columns[4].Header = "Телефон";
                datareport.Columns[5].Header = "Паспорт";
                datareport.Columns[0].Visibility = Visibility.Collapsed;
                datareport.Margin = new Thickness(150, 150, 130, 51);
            }
            catch (Exception ex)
            {
                con.Close();
                MessageBox.Show("Возникла ошибка! " + ex.ToString(), "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Room_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT ID_Room, Number_Room, Telephone_Room, RoomStatus.Status From Room inner join RoomStatus on RoomStatus.ID_Status = Room.Status_Room";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("Room");
                dataAdapter.Fill(data);
                datareport.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datareport.Columns[0].Header = "ID";
                datareport.Columns[1].Header = "Номер комнты";
                datareport.Columns[2].Header = "Телефон комнаты";
                datareport.Columns[3].Header = "Статус комнаты";
                datareport.Columns[0].Visibility = Visibility.Collapsed;
                datareport.Margin = new Thickness(190, 150, 170, 51);
            }
            catch (Exception ex)
            {
                con.Close();
                MessageBox.Show("Возникла ошибка! " + ex.ToString(), "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Rezervirovanie_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT Number_Room, Client.LastName_Client, Rezervirovanie.Date_in,Rezervirovanie.Date_out, StatusRezervirovanie.RezervStatus From Room inner join Rezervirovanie on Room.ID_Room = Rezervirovanie.ID_Room inner join Client on Rezervirovanie.[ID_Client] = Client.ID_Client inner join StatusRezervirovanie on Rezervirovanie.ID_Status = StatusRezervirovanie.ID_Status";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("Rezervirovanie");
                dataAdapter.Fill(data);
                datareport.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datareport.Columns[0].Header = "Номер комнаты";
                datareport.Columns[1].Header = "Фамилия";
                datareport.Columns[2].Header = "Дата прибытия";
                datareport.Columns[3].Header = "Дата отбытия";
                datareport.Columns[4].Header = "Статус";
                (datareport.Columns[2] as DataGridTextColumn).Binding.StringFormat = "dd/MM/yyyy";
                (datareport.Columns[3] as DataGridTextColumn).Binding.StringFormat = "dd/MM/yyyy";
                datareport.Margin = new Thickness(100, 150, 100, 51);
            }
            catch (Exception ex)
            {
                con.Close();
                MessageBox.Show("Возникла ошибка! " + ex.ToString(), "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void RoomClient_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT Number_Room, Client.LastName_Client From Room inner join RoomClient on Room.ID_Room = RoomClient.ID_Room inner join Client on RoomClient.ID_Client = Client.ID_Client";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("RoomClient");
                dataAdapter.Fill(data);
                datareport.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datareport.Columns[0].Header = "Номер комнты";
                datareport.Columns[1].Header = "Фамилия клиента";
                datareport.Margin = new Thickness(250, 150, 250, 51);
            }
            catch (Exception ex)
            {
                con.Close();
                MessageBox.Show("Возникла ошибка! " + ex.ToString(), "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Savereport_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog print = new PrintDialog();
            if (print.ShowDialog() == true)
            {
                print.PrintVisual(datareport, "Report");
            }
        }
    }
}
